/* ---------- colors ---------- 
#c0b3a0 - Sand (light brown)
#22252c - Navy Blue
#588ebb - light steel blue
#525a6e - light grey
*/


/*************** General ***************
***************************************/
html{box-sizing: border-box;}
*, *:before, *:after{box-sizing: inherit;}
body{
    margin:0;
    font-family: 'Raleway', sans-serif;
    line-height:1.5;
    background: #C0B3A0;/*sand*/}
h2 {font-size: 2rem; font-family: 'Architects Daughter', cursive;}
h3{font-family: 'Caveat', cursive; font-size: 1.5rem; margin:0;}
main{animation: 2s slide-up;animation-fill-mode: both;animation-delay: 1s;}
@keyframes slide-up{
    from {margin-top: 100%;}
    to {margin-top: 0%;}
}


/*************** Header ****************
***************************************/
header {
    font-family: 'Architects Daughter', cursive;
    font-size: 1.25rem;
    line-height: 1.2;
    background: #22252c;/*Navy Blue*/
    color:whitesmoke;
    padding: 50px 0;
    text-align: center;
}
h1, h2{font-weight: normal; margin:0;}
h1 {font-family: 'Rock Salt', cursive; font-size: 4rem; margin-bottom: 30px;}
header h2 {margin-top: 30px;}
.ribbon{
    height:50px;
    width:100%;
    background: linear-gradient(to bottom, #22252c, steelblue, #C0B3A0);
}
/***** Header Animations *****/
.fade-in, .slide-right, .slide-left{width:100%; overflow:hidden;}
.fade-in h1{animation: fadeIn ease 3s;}
@keyframes fadeIn {
    from {opacity:0.0;}
    to {opacity:1;}
}
.slide-right h2 {animation: 2s slide-right;}
@keyframes slide-right{
    from {margin-left:-300%;}
    to {margin-left:0%;}
}
.slide-left p{animation: 2s slide-left;}
@keyframes slide-left{
    from {margin-left:100%; width:300%;}
    to {margin-left:0%;width:100%;}
}
.call-me{
    text-align:center;
    color:whitesmoke;
    font-size: 0.9rem;
    padding:15px 10px;
    border:1px solid #C0B3A0;
    border-radius: 50%;
    background: radial-gradient(steelblue, #588ebb, #C0B3A0);
    box-shadow: 0 0 10px 5px #C0B3A0;
    position:absolute;
    top:30px;
    right:30px;
    animation: call-me 1.5s linear 2.5s forwards;
    visibility: hidden;
}
@keyframes call-me{
    0% {visibility: hidden; transform:scale(0) rotate(20deg);}
    25% {visibility: visible; transform:scale(1) rotate(20deg);}
    50% {visibility: hidden; transform:scale(0) rotate(20deg);}
    100% {visibility: visible; transform:scale(1) rotate(20deg);}
}
.call-me:active{
    background: #C0B3A0;
    padding:10px 5px;
    font-size: 0.7rem;
    top:40px;
    right:40px;
    color:#22252c;
}

/************** MAIN *******************
***************************************/
.wrapper{max-width:90%; margin:0 auto; padding: 100px 0 50px; text-align: center;}
.flexbox {display:flex; margin:20px auto 0; padding: 25px 0;flex-wrap: wrap;}
.flex{flex:1; padding:10px 25px 0;}
.popup{position:relative; width:300px; margin:0 auto; padding:5px 0 75px;}
.shadow{width:100%; border-radius: 10px; box-shadow: 10px 10px #999;}
.popup-text{
    width:100%;
    margin:0;
    font-size: 0.9em;
    background-color: rgba(245, 245, 245, 0.9);
    color: #22252c;
    text-align: center;
    border-radius: 10px;
    padding: 3px 10px;
    font-weight: 600;
    position:absolute;
    top:78%;
    left:50%;
    transform: translate(-50%);
    visibility:hidden;
}
.popup:hover .popup-text{visibility:visible;}
.shadow:active {transform: translateY(6px) translateX(6px);}
.shadow:active {box-shadow: 3px 3px #666;}


.highlights{background:#C0B3A0;}
.freelance{background:#525a6e;color:whitesmoke;}


.education h3{font-family: 'Architects Daughter', cursive;}
.education {
    background-image: url("../mysite/images/photo-by-kelly-sikkema-on-unsplash.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: top right;
    color:whitesmoke;
}
.university{
    max-width:510px;
    margin: 40px auto 0;
    /* background: rgba(245, 245, 245, 0.6);
    border-radius: 10px;
    padding: 5px 10px; */
}

.ribbon2{
    height:50px;
    width:100%;
    background: linear-gradient(to bottom, #1b1a16, whitesmoke, #1b1a16);
}



/**************** FOOTER **********
**********************************/
footer{
    font-family: 'Architects Daughter', cursive;
    background: #1b1a16;
    color:whitesmoke;
    padding: 20px 0;
    text-align: center;
    margin:0 auto;
}


/*************** RESPONSIVE ********
***********************************/
@media (max-width: 599px){
    .projects{display:block;padding:0;}
    .box{margin-bottom:40px;}
}
